<?php

namespace App\View\Components;

use App\Livewire\Data\EmpresaData;
use Closure;
use Illuminate\Contracts\View\View;
use Illuminate\View\Component;

final class ModalDetalleEmpresa extends Component
{
    /**
     * Create a new component instance.
     */
    public function __construct(
        public ?EmpresaData $empresa = null,
        public string $modalTitle = ''
    ) {
    }

    /**
     * Get the view / contents that represent the component.
     */
    public function render(): View|Closure|string
    {
        return view('components.modal-detalle-empresa');
    }
}
